<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Support\Facades\Schema;

return new class extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('dragon_slay_log', function (Blueprint $table) {
            $table->unsignedInteger('guild_id');
            $table->unsignedInteger('vnum');
            $table->timestamp('start_time')->useCurrent();
            $table->timestamp('end_time')->useCurrent();

            $table->foreign('guild_id')->references('id')->on('guild');
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('dragon_slay_log');
    }
};
